---
- name: host agent install setting [1] - crio
  lineinfile:
    path: /root/host-agent/podman-host/metric-agent.yml
    regexp: 'targets'
    line: "    - targets: ['{{ ansible_default_ipv4.address }}:9100']"
  when:
    - inventory_hostname in groups['crio']

- name: host agent install setting [2] - crio
  shell: |
    sed -i "s/10.10.34.142/{{ hostvars[groups['cmoa-master'][0]]['ansible_default_ipv4']['address'] }}/" /root/host-agent/podman-host/setup.sh
    sed -i "s/rel3.4.6/rel{{ VERSION }}/" /root/host-agent/podman-host/setup.sh
  when:
    - inventory_hostname in groups['crio']

- name: host agent install - crio
  shell: sh /root/host-agent/podman-host/setup.sh
  when:
    - inventory_hostname in groups['crio']
